/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package medicalactionsrcitem

import (
	e "simrs-vx/internal/domain/main-entities/medical-action-src-item"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.MedicalActionSrcItem) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}
	data.MedicalActionSrc_Code = inputSrc.MedicalActionSrc_Code
	data.ProcedureSrc_Code = inputSrc.ProcedureSrc_Code
	data.Item_Code = inputSrc.Item_Code
}
